#!/usr/bin/perl

my $force = 0;
if ($ARGV[0] eq "-f")
{
    $force = 1;
}

my $wcalddir = "/usr/local/bin";
print "P*Wcal uninstaller\n";
print "Please select the location of your wcald file\n";
print "($wcalddir) : ";
my $dir = <STDIN>;
chomp($dir);
if ($dir)
{
    $wcalddir = $dir;
}

if (!-e "$wcalddir/wcald")
{
    print "\n*** No $wcalddir/wcald file! ***\n";
    print "Uninstall canceled\n";
    exit 1;
}

my $wcaldvers;
my $wcaldconfdir;
my $wcaldhttpdir;
my $wcalddbdir;
my $line;
if (!open(WCALD, "$wcalddir/wcald"))
{
    print "\n*** Unable to open $wcalddir/wcald file! ***\n";
    print "Uninstall canceled\n";
    exit 2;
}

while ($line = <WCALD>)
{
    if ($line =~ /^\$::VERSION\s*=\s*\"([^\"]*)/)
    {
	$wcaldvers = $1+0;
	print "wcal ver : $wcaldvers\n";
    }
    elsif ($line =~ /^\$::CONF_FILE\s*=\s*\'([^\']*)\/wcal.conf/)
    {
	$wcaldconfdir = $1;
	print "conf dir : $wcaldconfdir\n";
    }
    elsif ($line =~ /^\$::DIRECTORY\s*=\s*\'([^\']*)/)
    {
	$wcaldhttpdir = $1;
	print "http dir : $wcaldhttpdir\n";
    }
    elsif ($line =~ /^\$::DB_DIR\s*=\s*\'([^\']*)/)
    {
	$wcalddbdir = $1;
	print "data dir : $wcalddbdir\n";
    }
}
close(WCALD);

print "Removing database files in $wcalddbdir\n";
system("\\rm $wcalddbdir/*.ids");
system("\\rm $wcalddbdir/*.sync");
system("\\rm $wcalddbdir/pwcalversion");

print "Removing binary file $wcalddir/pwcald\n";
unlink("$wcalddir/pwcald");

print "Removing conf file $wcaldconfdir/pwcal.conf\n";
unlink("$wcaldconfdir/pwcal.conf");

print "Removing msg file $wcaldconfdir/pwcal.msg\n";
unlink("$wcaldconfdir/pwcal.msg");

print "Removing pwd file $wcaldconfdir/pwcal.pwd\n";
unlink("$wcaldconfdir/pwcal.pwd");

print "Removing doc files in $wcaldhttpdir\n";
system("\\rm -rf $wcaldhttpdir/doc/en/pwcal");
system("\\rm -rf $wcaldhttpdir/doc/fr/pwcal");
system("\\rm -rf $wcaldhttpdir/doc/de/pwcal");

print ("\nP*Wcal successfully uninstalled\n");

